# ConceptualClimateModels.jl

```@docs
ConceptualClimateModels
```

To get started with ConceptualClimateModels.jl see the [tutorial](@ref tutorial).
Predefined processes that can be part of a model are in the
[predefined processes](@ref predefined_processes) page.
See the [examples](@id examples) for a couple of applications.

## [Asking questions](@id ask_questions)

There are three options for asking questions:

1. As a new post in the official [Julia discourse](https://discourse.julialang.org/) and ask a question under the category Specific Domains > Modelling & Simulations, also using `dynamical-systems` as a tag.
2. As a message in our channel `#dynamics-bridged` in the [Julia Slack](https://julialang.org/slack/) workplace.
3. By opening an issue directly on the GitHub page of DynamicalSystems.jl while providing a Minimal Working Example. This is the most useful approach when you encounter unexpected behaviour.

## Contributing

There are many ways to contribute to ConceptualClimateModels.jl:

1. Just *use it*! Share it with your colleagues if it was useful for you, and report
   unexpected behaviour if you find any.
2. Suggest processes that you think should be included in our library. This should be
   done by opening a new GitHub issue that describes the process and gives references to papers using the method.
3. Contribute code by adding new documentation examples.
4. Contribute code by implementing new processes! That is by far the most impactful
   way to contribute to the library.

Contributed code must be documented per the standards of
[DynamicalSystems.jl](https://juliadynamics.github.io/DynamicalSystemsDocs.jl/dynamicalsystems/dev/contributors_guide/#Documentation-string-style).